Avalara E-Invoicing and Live Reporting

Code Lists
Data Input Fields
Documents
Interop
Mandates
Reports
Subscriptions
Tax Identifiers
Trading Partners

ReportItem

Represents a single report with full details including metadata and associated transaction IDs.

Parameters
reportIdOptional
string

The unique ID for this report.

jobIdOptional
string

Deprecated. Not reliable; always returned as null. The unique ID of the job that generated this report.

reportGenerateDateOptional
string

The date and time when the report was generated.

lastUpdatedAtOptional
string

The date and time when this report was last updated.

lastMediaTypeAddedAtOptional
string

The date and time when a media type (file) was last added to this report.

reportFromOptional
string

The start date of the reporting period.

reportToOptional
string

The end date of the reporting period.

countryCodeOptional
string

The two-letter ISO-3166 country code for which this report was generated.

countryMandateOptional
string

The e-invoicing mandate for the specified country.

countryMandatesOptional
array

The e-invoicing mandates associated with this report, when more than one mandate applies.

documentTypeOptional
string

Deprecated. Not reliable; always returned as null. The type of document covered by this report.

documentSubTypeOptional
string

Deprecated. Not reliable; always returned as null. The sub-type of the document.

reportReferenceOptional
string

Deprecated. Not reliable; always returned as null. An internal reference path for the report.

reportNameOptional
string

The name of the report file.

statusOptional
string

The current status of the report. Possible values include: PENDING, PROCESSING, COMPLETED, FAILED, SENT_TO_PPF, ERROR.

authorityStatusOptional
string

Represents the report's status as reported by external actors (Tax Authority), such as acceptance, rejection, or validation.

reportFormatMimetypesOptional
string

Deprecated. Not reliable; always returned as null. The MIME type of the report file.

tenantIdOptional
string

The tenant identifier associated with this report.

companyIdOptional
string

Unique identifier that represents the company within the system.

taNameOptional
string

Deprecated. Not reliable; always returned as null. The name of the tax authority for this report. Use authorityName instead.

authorityNameOptional
string

The name of the tax authority for this report. Replaces the deprecated taName field.

taxInvoiceAmountOptional
number

Deprecated. Not reliable; always returned as null. The total invoice amount covered by this report.

totalTaxAmountOptional
number

Deprecated. Not reliable; always returned as null. The total tax amount covered by this report.

metadataOptional
object

Additional report metadata (free-form JSON). Contents vary by country mandate.

transactionIdsOptional
array

Deprecated. Not reliable; always returned as null. List of transaction IDs associated with this report. Use GET /reports/{reportId}/documents to track the documents included in a specific report.